---
title: Setup
description: 
published: true
date: 2023-03-24T10:42:01.315Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:44.132Z
---

# Plugin installation
1. Make sure you have [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://dev.bukkit.org/projects/vault) and an economy manager (like [EssentialsX](https://essentialsx.net/downloads.html)) installed.
2. Download the plugin on [Spigot](https://www.spigotmc.org/resources/50-off-vehiclesplus-1-12-1-19.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-19.633)
3. Put the JAR file into your `/plugins` folder.
4. Restart your server.

# Resourcepack download
We provide an **example** resourcepack to use with our plugin (and the provided example vehicles). We recommend creating your own resourcepack, so that you can add more custom vehicles.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.14.x | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.14.x.zip) | `a6b4fb9607e1a55eb55573bcd9071ccda83d0dbb` |
| 1.15.x | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.15.x.zip) | `f402f05abb49a1049a24c8c7b61876933b746508` |
| 1.16.x | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.16.x.zip) | `810728e325da98d178412e7ef4654174a92298fe` |
| 1.17.x | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.17.x.zip) | `db6073052ea774c06ff14411feb0714919ca8508` |
| 1.18.x | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.18.x.zip) | `93c878fce48dfbcada4522a6c4a063be5b19df58` |
| 1.19 - 1.19.2 | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.19-1.19.2.zip) | `9f90025500498b4deddd86a2a50e741e04c63301` |
| 1.19.3 | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.19.3.zip) | `3b1c26493d4d19b2ece36fdac85a9fa6064f11ad` |
| 1.19.4 | [Click here](https://github.com/SBDPlugins/Issues-VehiclesPlus/raw/master/Resource%20Packs%20v3/VPExampleNew-1.19.4.zip) | `49ff2b8cbfab972472e83c061227cfdd0d07a7e6` |

## Using our example pack as server resourcepack
It's also possible to use our example pack as your server resourcepack.

1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.